Relay docs
API ReferenceConversations

Get a conversation

Returns a conversation along with a cursor-paginated page of its messages (newest last). Requires the `conversations:read` scope.

GET
/v1/public/conversations/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Workspace API key, e.g. rl_live_….

In: header

Path Parameters

id*string
Formatuuid

Query Parameters

messages_limit?integer
Range1 <= value <= 200
Default50
messages_cursor?string

Opaque cursor for older messages.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/public/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "9b2c1f7e-3d4a-4c1b-8e2f-1a2b3c4d5e6f",  "status": "open",  "priority": "high",  "labels": [    "vip",    "billing"  ],  "unreadCount": 2,  "contact": {    "id": "c0ffee00-1111-2222-3333-444455556666",    "name": "Ada Lovelace",    "email": "[email protected]",    "phoneNumber": null,    "shopName": "acme.myshopify.com"  },  "inbox": {    "id": "1b0a7d22-aaaa-bbbb-cccc-ddddeeeeffff",    "name": "Web widget",    "channelType": "web_widget"  },  "assignee": {    "id": "user_2x9Q",    "name": "Grace Hopper",    "image": "https://cdn.relay.app/u/grace.png"  },  "lastActivityAt": "2026-06-25T10:12:00.000Z",  "createdAt": "2026-06-24T08:00:00.000Z",  "messages": {    "has_more": true,    "next_cursor": "string",    "data": [      {        "id": "7f3e9a10-5b6c-4d7e-8f90-a1b2c3d4e5f6",        "content": "Hi! How can I help today?",        "contentType": "text",        "senderType": "user",        "senderId": "user_2x9Q",        "messageType": "outgoing",        "status": "sent",        "isPrivate": false,        "sender": {          "name": "Grace Hopper",          "image": "https://cdn.relay.app/u/grace.png"        },        "attachments": [],        "createdAt": "2026-06-25T10:12:00.000Z"      }    ]  }}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}